# reportabug: GitreportModule Class Reference

All Classes Namespaces Files Functions Variables Macros
GitreportModule Class Reference

The GitreportModule class creates issue over GitReports. More...

Inheritance diagram for GitreportModule:

## Public Slots

void | sendReportUsingGitreport (const QMap< QString, QString > info)
| method which creates an issue More...

## Public Member Functions

| GitreportModule (QWidget *parent=0, bool debugCmd=false, QMap< QString, QString > params=QMap< QString, QString >())
| GitreportModule class constructor. More...
| ~GitreportModule ()
| GitreportModule class destructor. More...

## Public Attributes

QWebView * | webView
| Webkit item which is used for loading web page. More...

## Detailed Description

The GitreportModule class creates issue over GitReports.

This module uses GitReport for creating an issue. Please visit this page and set up it for your repository.

This module depends on QtWebKit and QtNetwork modules.

## Constructor & Destructor Documentation

GitreportModule::GitreportModule | ( | QWidget * | parent = `0`,
|  | bool | debugCmd = `false`,
|  | QMap< QString, QString > | params = `QMap< QString, QString >()`
| ) |  |

explicit

GitreportModule class constructor.

Parameters

  parent | parent object
  debugCmd | show debug messages
  params | dynamic parametrs. Needed keys are the same as in config.h

GitreportModule::~GitreportModule | ( |  | ) |

GitreportModule class destructor.

## Member Function Documentation

void GitreportModule::sendReportUsingGitreport | ( | const QMap< QString, QString > | info | ) |

slot

method which creates an issue

Parameters

  info | issue details. Needed keys are: body (body of an issue) password (user email), username (user name),

## Member Data Documentation

QWebView* GitreportModule::webView

Webkit item which is used for loading web page.

The documentation for this class was generated from the following file:

- gitreportmodule.h